org.apache.velocity.tools.view

## Enum UAParser.DeviceType

- java.lang.Object
- - java.lang.Enum<UAParser.DeviceType>
  - - org.apache.velocity.tools.view.UAParser.DeviceType

All Implemented Interfaces:
  Serializable, Comparable<UAParser.DeviceType>

Enclosing class:
  UAParser

    public static enum UAParser.DeviceType
    extends Enum<UAParser.DeviceType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DESKTOP`
`MOBILE`
`ROBOT`
`TABLET`
`TV`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static UAParser.DeviceType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UAParser.DeviceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final UAParser.DeviceType UNKNOWN

#### DESKTOP

    public static final UAParser.DeviceType DESKTOP

#### MOBILE

    public static final UAParser.DeviceType MOBILE

#### TABLET

    public static final UAParser.DeviceType TABLET

#### TV

    public static final UAParser.DeviceType TV

#### ROBOT

    public static final UAParser.DeviceType ROBOT

### Method Detail

#### values

    public static UAParser.DeviceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UAParser.DeviceType c : UAParser.DeviceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UAParser.DeviceType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null